import request from '@/utils/request'

// 查询经营场所审核列表
export function listStoreApply(query) {
  return request({
    url: '/ss/storeApply/list',
    method: 'get',
    params: query
  })
}

// 查询经营场所审核详细
export function getStoreApply(id) {
  return request({
    url: '/ss/storeApply/' + id,
    method: 'get'
  })
}

// 新增经营场所审核
export function addStoreApply(data) {
  return request({
    url: '/ss/storeApply',
    method: 'post',
    data: data
  })
}

// 修改经营场所审核
export function updateStoreApply(data) {
  return request({
    url: '/ss/storeApply',
    method: 'put',
    data: data
  })
}

// 删除经营场所审核
export function delStoreApply(id) {
  return request({
    url: '/ss/storeApply/' + id,
    method: 'delete'
  })
}

// 审核经营场所申请
export function approvalStoreApply(data) {
  return request({
    url: '/ss/storeApply/approval',
    method: 'put',
    data
  })
}
